<template>
    <div class="root">
      <h1>About Python Boilerplate</h1>
      <div style="max-width:600px; padding-top:10px;">
          <p>Python-boilerplate.com is a collection of Python boilerplates for getting started quickly and right-footed.</p>

          <h4 style="margin-top:20px;">Git Repositories</h4>
          <p>These are our two repositories:</p>
          <p><ul>
            <li><a href="https://gitlab.com/metachris/python-boilerplate-templates" target="_blank">Boilerplate Templates</a></li>
            <li><a href="https://gitlab.com/metachris/python-boilerplate-frontend" target="_blank">Web Frontend</a></li>
          </ul></p>

          <h4 style="margin-top:20px;">Statistics</h4>
          <p>The <a href="https://www.python-boilerplate.com/goaccess/" target="_blank">nginx access statistics</a> are public, generated at midnight UTC with <a href="https://goaccess.io/" target="_blank">goaccess</a>.</p>

          <h4 style="margin-top:20px;">Contribute</h4>
          <p>Your help is appreciated! You can contribute with:</p>
          <p>
          <ul>
            <li>Feature ideas</li>
            <li>Bug reports</li>
            <li>Implementing new features</li>
            <li>Improving the web frontend</li>
          </ul>
          </p>

          <p>Check out the <a href="https://gitlab.com/metachris/python-boilerplate-templates#contributing" target="_blank">quick guide on how to contribute to boilerplates</a>.</p>
          <p>Head over to any of the GitHub projects,
           take a look at the <a href="https://gitlab.com/metachris/python-boilerplate-templates" target="_blank">code</a>,
           <a href="https://gitlab.com/metachris/python-boilerplate-templates/issues/new" target="_blank">open an issue</a> or a pull request, or simply get in touch
            with <a href="mailto:hello@python-boilerplate.com">email</a> or <a href="https://twitter.com/@metachris" target="_blank">Twitter</a>.
            </p>


          <h4 style="margin-top:20px;">Features Ideas</h4>
          <p><ul>
            <li>Continuous Integration with Travis CI, Gitlab CI</li>
            <li><tt>README.md</tt> for the zip files</li>
            <li>Packages</li>
            <li>Licenses</li>
            <li>Nicer web-frontend layout</li>
            <li>Other ideas? Please <a href="https://gitlab.com/metachris/python-boilerplate-backend/issues" target="_blank">open an issue</a> <3</li>
            <li>See also <a href="https://trello.com/b/mtc1bggz/python-boilerplate" target="_blank">our Trello</a></li>
          </ul></p>

          <h4 style="margin-top:20px;">The Stack</h4>

          <p>
            <p>The templates are defined in Jinja2 syntax, and the result is formatted with <a href="https://github.com/google/yapf" target="_blank">YAPF</a>, Google's Python formatter tool.
            The decision to use a server (instead of pure client-side rendering) was made to enable automatic tests of all boilerplate configurations, to use the YAPF formatter tool and to be able to download the whole bundle as zip.</p>

            <p>The web-frontend is built with the amazing <a href="#">Vue.js</a> framework (including vuex, vue-router, etc.).</p>

            <p>GitLab was chosen as Git host primarily because of its great continuous integration runner,
            its Docker registries for all projects, and also because its just
            a great piece of open-source software.</p>
          </p>

          <hr>
          <p>Built with <span style="color:#d80e0e;">♥️</span> by <a href="https://www.metachris.com" target="_blank">Chris Hager</a> // <a href="https://twitter.com/@metachris" target="_blank">@metachris</a>.</p>
            <br>
              <br>
            <br>
      </div>

    </div>
</template>

<script>
import { setHtmlTags } from '../utils'

export default {
  mounted: function () {
    const description = 'More about python-boilerplate.com - information, documentation, links, Git repositories and more! <3'
    setHtmlTags('About - python-boilerplate.com', description)
  }
}
</script>

<style>
.root {
  padding-left: 40px;
}
</style>
